Bug 85225 - Map New Font Family Names for New URW Fonts Release
Summary: Map New Font Family Names for New URW Fonts Release
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: conf (show other bugs)
Version: 2.11
Hardware: Other All
: medium normal
Assignee: Akira TAGOH
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-20 09:03 UTC by Tom Yan
Modified: 2016-08-25 06:36 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
30-metric-aliases (12.68 KB, text/plain)
2014-10-20 09:03 UTC, Tom Yan
Details
45-latin (4.51 KB, text/plain)
2014-10-20 09:03 UTC, Tom Yan
Details
60-latin (1.76 KB, text/plain)
2014-10-20 09:04 UTC, Tom Yan
Details
30-metric-aliases with commit for 73291 reverted as in git (12.50 KB, text/plain)
2014-10-20 09:33 UTC, Tom Yan
Details
30-metric-aliaes patch (7.63 KB, patch)
2014-10-21 07:08 UTC, Tom Yan
Details | Splinter Review
45-latin patch (925 bytes, patch)
2014-10-21 07:08 UTC, Tom Yan
Details | Splinter Review
60-latin patch (832 bytes, patch)
2014-10-21 07:09 UTC, Tom Yan
Details | Splinter Review
integrated patch done in full git (9.40 KB, patch)
2014-10-21 07:22 UTC, Tom Yan
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Yan 2014-10-20 09:03:15 UTC
As you may or may not noticed, there is new URW fonts release in upstream (http://git.ghostscript.com/?p=urw-core35-fonts.git) and the family name has changed.

Attached are updated confs with the new names added. The old names used in 1.07pre44 are kept as it seems many distros still sticks with that old release.

Btw in the new release the family Nimbus Sans Narrow has been separated out from Nimbus Sans, corresponds to Helvetica Condenesed. Aliases has been made for this in the attached file.
Comment 1 Tom Yan 2014-10-20 09:03:41 UTC
Created attachment 108094 [details]
30-metric-aliases
Comment 2 Tom Yan 2014-10-20 09:03:57 UTC
Created attachment 108095 [details]
45-latin
Comment 3 Tom Yan 2014-10-20 09:04:15 UTC
Created attachment 108096 [details]
60-latin
Comment 4 Tom Yan 2014-10-20 09:33:38 UTC
Created attachment 108100 [details]
30-metric-aliases with commit for 73291 reverted as in git
Comment 5 Akira TAGOH 2014-10-21 06:35:03 UTC
Please attach the patch instead of the updated files.
Comment 6 Tom Yan 2014-10-21 07:08:05 UTC
Created attachment 108151 [details] [review]
30-metric-aliaes patch

patch against commit e7121de237a1873c3241a5b8451e7d00a3d41524
Comment 7 Tom Yan 2014-10-21 07:08:30 UTC
Created attachment 108152 [details] [review]
45-latin patch

patch against commit e7121de237a1873c3241a5b8451e7d00a3d41524
Comment 8 Tom Yan 2014-10-21 07:09:03 UTC
Created attachment 108153 [details] [review]
60-latin patch

patch against commit e7121de237a1873c3241a5b8451e7d00a3d41524
Comment 9 Tom Yan 2014-10-21 07:22:46 UTC
Created attachment 108155 [details] [review]
integrated patch done in full git

against commit e7121de237a1873c3241a5b8451e7d00a3d41524
Comment 10 Akira TAGOH 2014-10-21 10:58:28 UTC
Comment on attachment 108155 [details] [review]
integrated patch done in full git

Review of attachment 108155 [details] [review]:
-----------------------------------------------------------------

See the inline comment the below.

::: conf.d/60-latin.conf
@@ +10,4 @@
>  			<family>Thorndale AMT</family>
>  			<family>Luxi Serif</family>
>  			<family>Nimbus Roman No9 L</family>
> +			<family>Nimbus Roman</family>

Is this position expected thing? the order is somewhat important. it is added to the pattern as is. so if both version is installed, old one might be picked up.

@@ +24,4 @@
>  			<family>Albany AMT</family>
>  			<family>Luxi Sans</family>
>  			<family>Nimbus Sans L</family>
> +			<family>Nimbus Sans</family>

Ditto.

@@ +42,4 @@
>  			<family>Cumberland AMT</family>
>  			<family>Luxi Mono</family>
>  			<family>Nimbus Mono L</family>
> +			<family>Nimbus Mono</family>

Ditto.
Comment 11 Tom Yan 2014-10-21 11:45:35 UTC
I wonder how much chance would someone want to have both versions installed. Also all the file names remain unchanged upstream.

As for the order, perhaps it's more about the attitude of you guys towards the new version. I only know that the new version no longer have cyrillic glyphs and someone might not like that. Not sure if people are simply not aware of the new release or they just stick to it on purpose.

Though priority doesn't seem matter to me, I hope that fontconfig can at least support the upstream version.

Yet IHMO in the long run everyone should switch to upstream version and the old names should be removed from the fontconfig one day.
Comment 12 Akira TAGOH 2014-10-22 05:33:58 UTC
(In reply to Tom Yan from comment #11)
> As for the order, perhaps it's more about the attitude of you guys towards
> the new version. I only know that the new version no longer have cyrillic
> glyphs and someone might not like that. Not sure if people are simply not
> aware of the new release or they just stick to it on purpose.

Aha. that's good to hear that there are some regression in the new version. so fair enough to keep the old one as higher priority. though I guess there are many many improvements in new one.

> Though priority doesn't seem matter to me, I hope that fontconfig can at
> least support the upstream version.
> 
> Yet IHMO in the long run everyone should switch to upstream version and the
> old names should be removed from the fontconfig one day.

Definitely. but would be really the long-term item in the to-do.
Comment 13 Tom Yan 2014-10-22 05:51:29 UTC
Just to add that according to the current maintainer, the Cyrillic glyphs in the old version are very badly design and we shouldn't be using them given to the poor quality. Also Cyrillic glyphs are not required to be present in the PostScript base fonts.

Not sure if the there are many improvements, but at least now we can have something to map to for Helvetica Condensed, and no more "L"/"No9" non-sense. :)
Comment 14 Akira TAGOH 2014-11-06 04:16:16 UTC
Okay, merged into git. thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.